diff -urN -x'*~' kernel-source-2.4.21.orig/drivers/md/md.c kernel-source-2.4.21/drivers/md/md.c
--- kernel-source-2.4.21.orig/drivers/md/md.c	2003-07-08 14:38:38 +0400
+++ kernel-source-2.4.21/drivers/md/md.c	2003-07-08 16:18:53 +0400
@@ -4030,11 +4030,22 @@
 	return 1;
 }
 
+static int md__init some_personality_registered()
+{
+	int i;
+
+	for (i = 0; i < MAX_PERSONALITY; ++i)
+		if (pers[i])
+			return 1;
+
+	return 0;
+}
+
 int md__init md_run_setup(void)
 {
 	if (raid_setup_args.noautodetect)
 		printk(KERN_INFO "md: Skipping autodetection of RAID arrays. (raid=noautodetect)\n");
-	else
+	else if (some_personality_registered())
 		autostart_arrays();
 	md_setup_drive();
 	return 0;
